﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Settings
{
	public class BusinessTagDto
	{
		/// <summary>
		/// 标签名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 分类
		/// </summary>
		public string Classify { get; set; }

		/// <summary>
		/// 标签类型
		/// </summary>
		public int Type { get; set; } = 0;

		/// <summary>
		/// 业务标签类型
		/// </summary>
		public int BusinessType { get; set; } = 0;
	}

	public class UpdateBusinessTagDto 
	{
		public string Id { get; set; }

		/// <summary>
		/// 标签名称
		/// </summary>
		public string? Name { get; set; }

		/// <summary>
		/// 分类
		/// </summary>
		public string? Classify { get; set; } 
	}
	public class DeleteBusinessTagDto
	{
		public List<string> Ids { get; set; }
	}

	public class SaveBusinessTagDto
	{
		/// <summary>
		/// 标签名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 业务标签类型
		/// </summary>
		public int BusinessType { get; set; }
	}

	public record BusinessTagListDto : PagedKeywordRequest
	{
		/// <summary>
		/// 标签类型  1 标签  2 分类 
		/// </summary>
		public int Type { get; set; } = 0;

		/// <summary>
		///  业务标签类型  1 工单  2 知识库 
		/// </summary>
		public int BusinessType { get; set; } = 0;
	}
}
